<template>
    <table id="tableComponent" class="table table-bordered table-striped" style="font-size:10px">
        <thead>
            <TableHeaderVue :fields='fields' ></TableHeaderVue>
        </thead>
        <tbody>
           
        </tbody>
    </table> 
</template>
<script lang="ts">
    import { onMounted } from 'vue';
    import TableHeaderVue from './TableHeader.vue';
    
    export default {
        name: "Table",
        components: {
            TableHeaderVue,
        },
        props: {
            header: {
                type: Array,
                default: []
            }
        },
        data(){
            return {
            }
        },
        setup(props,context){
            //An array of values for the data
            const studentData = [
                {ID:"01", Name: "Abiola Esther", Course:"Computer Science", Gender:"Female", Age:"17"},
                {ID:"02", Name: "Robert V. Kratz", Course:"Philosophy", Gender:"Male", Age:'19'},
                {ID:"03", Name: "Kristen Anderson", Course:"Economics", Gender:"Female", Age:'20'},
                {ID:"04", Name: "Adam Simon", Course:"Food science", Gender:"Male", Age:'21'},
                {ID:"05", Name: "Daisy Katherine", Course:"Business studies", Gender:"Female", Age:'22'},  
            ]
            const fields = [
            'ID','Name','Course','Gender','Age'
            ]
            return{studentData,fields}
        }
    };
</script>